# Class Mediator

#### Hierarchy

- unknown
  - Mediator

- Defined in src/protobuf/pb_pb.d.ts:2397
- Defined in src/protobuf/pb_pb.d.ts:2441

#####
Index

### Constructors

constructor

### Methods

addLanguageCodes
clearExtraDataMap
clearLanguageCodesList
clearNodeAddress
clearPubKeyRing
getEmailAddress
getExtraDataMap
getInfo
getLanguageCodesList
getNodeAddress
getPubKeyRing
getRegistrationDate
getRegistrationPubKey
getRegistrationPubKey_asB64
getRegistrationPubKey_asU8
getRegistrationSignature
hasNodeAddress
hasPubKeyRing
serializeBinary
setEmailAddress
setInfo
setLanguageCodesList
setNodeAddress
setPubKeyRing
setRegistrationDate
setRegistrationPubKey
setRegistrationSignature
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new Mediator(): Mediator

- #### Returns Mediator

  Inherited from jspb.Message.constructor

## Methods

### addLanguageCodes

- addLanguageCodes(value: string, index?: number): Mediator

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns Mediator

  - Defined in src/protobuf/pb_pb.d.ts:2406

### clearExtraDataMap

- clearExtraDataMap(): Mediator

- #### Returns Mediator

  - Defined in src/protobuf/pb_pb.d.ts:2431

### clearLanguageCodesList

- clearLanguageCodesList(): Mediator

- #### Returns Mediator

  - Defined in src/protobuf/pb_pb.d.ts:2405

### clearNodeAddress

- clearNodeAddress(): Mediator

- #### Returns Mediator

  - Defined in src/protobuf/pb_pb.d.ts:2401

### clearPubKeyRing

- clearPubKeyRing(): Mediator

- #### Returns Mediator

  - Defined in src/protobuf/pb_pb.d.ts:2422

### getEmailAddress

- getEmailAddress(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2424

### getExtraDataMap

- getExtraDataMap(): Map<string, string>

- #### Returns Map<string, string>

  - Defined in src/protobuf/pb_pb.d.ts:2430

### getInfo

- getInfo(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2427

### getLanguageCodesList

- getLanguageCodesList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:2403

### getNodeAddress

- getNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:2398

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- #### Returns undefined | PubKeyRing

  - Defined in src/protobuf/pb_pb.d.ts:2419

### getRegistrationDate

- getRegistrationDate(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2408

### getRegistrationPubKey

- getRegistrationPubKey(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2414

### getRegistrationPubKey_asB64

- getRegistrationPubKey_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2416

### getRegistrationPubKey_asU8

- getRegistrationPubKey_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2415

### getRegistrationSignature

- getRegistrationSignature(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2411

### hasNodeAddress

- hasNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2400

### hasPubKeyRing

- hasPubKeyRing(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2421

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2433

### setEmailAddress

- setEmailAddress(value: string): Mediator

- #### Parameters

  - ##### value: string

  #### Returns Mediator

  - Defined in src/protobuf/pb_pb.d.ts:2425

### setInfo

- setInfo(value: string): Mediator

- #### Parameters

  - ##### value: string

  #### Returns Mediator

  - Defined in src/protobuf/pb_pb.d.ts:2428

### setLanguageCodesList

- setLanguageCodesList(value: string[]): Mediator

- #### Parameters

  - ##### value: string[]

  #### Returns Mediator

  - Defined in src/protobuf/pb_pb.d.ts:2404

### setNodeAddress

- setNodeAddress(value?: NodeAddress): Mediator

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns Mediator

  - Defined in src/protobuf/pb_pb.d.ts:2399

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing): Mediator

- #### Parameters

  - ##### `Optional` value: PubKeyRing

  #### Returns Mediator

  - Defined in src/protobuf/pb_pb.d.ts:2420

### setRegistrationDate

- setRegistrationDate(value: number): Mediator

- #### Parameters

  - ##### value: number

  #### Returns Mediator

  - Defined in src/protobuf/pb_pb.d.ts:2409

### setRegistrationPubKey

- setRegistrationPubKey(value: string | Uint8Array): Mediator

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns Mediator

  - Defined in src/protobuf/pb_pb.d.ts:2417

### setRegistrationSignature

- setRegistrationSignature(value: string): Mediator

- #### Parameters

  - ##### value: string

  #### Returns Mediator

  - Defined in src/protobuf/pb_pb.d.ts:2412

### toObject

- toObject(includeInstance?: boolean): Mediator.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns Mediator.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2434

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): Mediator

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Mediator

  - Defined in src/protobuf/pb_pb.d.ts:2437

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Mediator, reader: BinaryReader): Mediator

- #### Parameters

  - ##### message: Mediator

  - ##### reader: BinaryReader

  #### Returns Mediator

  - Defined in src/protobuf/pb_pb.d.ts:2438

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: Mediator, writer: BinaryWriter): void

- #### Parameters

  - ##### message: Mediator

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:2436

### `Static` toObject

- toObject(includeInstance: boolean, msg: Mediator): Mediator.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Mediator

  #### Returns Mediator.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2435

Generated using TypeDoc